Subject: Re: 23/NS: redraws according to mouse-face are slow

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 06 May 2009 16:40:52 +0900

>>>>> On Tue, 05 May 2009 21:47:04 -0400, Stefan Monnier <[email-masked]> said:

>>> That ns_update_begin() acheives the same effect suggests that
>>> perhaps the core mouse face code should do this (through the RIF).
>> Yes, show_mouse_face (or one of its callers) should probably call
>> update_begin and update_end.  But it's a little far along in the
>> pretest to risk that.  I'll make a note of revisiting this after
>> the release.

> I think as long as this is guaranteed to only affect the NS port, we
> can still install it before the release (assuming tests indicate it
> does improve the behavior, and assuming we agree that it's the right
> way to fix it).

That introduces nesting in update_begin/end.  We should avoid such a
change at this stage.

				     YAMAMOTO Mitsuharu
				[email-masked]